// ConncfgPage.cpp : implementation file
//

#include "stdafx.h"
#include "chkmail.h"
#include "ConncfgPage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CConncfgPage property page

IMPLEMENT_DYNCREATE(CConncfgPage, CPropertyPage)

CConncfgPage::CConncfgPage() : CPropertyPage(CConncfgPage::IDD)
{
	//{{AFX_DATA_INIT(CConncfgPage)
	m_server = _T("");
	m_user = _T("");
	m_pass = _T("");
	m_timeout = 0;
	m_portPOP = 0;
	//}}AFX_DATA_INIT
}

CConncfgPage::~CConncfgPage()
{
}

void CConncfgPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConncfgPage)
	DDX_Text(pDX, IDC_EDIT1, m_server);
	DDX_Text(pDX, IDC_EDIT3, m_user);
	DDX_Text(pDX, IDC_EDIT5, m_pass);
	DDX_Text(pDX, IDC_TIMEOUT, m_timeout);
	DDV_MinMaxUInt(pDX, m_timeout, 1, 1000000000);
	DDX_Text(pDX, IDC_POPPORT, m_portPOP);
	DDV_MinMaxUInt(pDX, m_portPOP, 1, 65535);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CConncfgPage, CPropertyPage)
	//{{AFX_MSG_MAP(CConncfgPage)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CConncfgPage message handlers

