// SendcfgPage.cpp : implementation file
//

#include "stdafx.h"
#include "chkmail.h"
#include "SendcfgPage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSendcfgPage property page

IMPLEMENT_DYNCREATE(CSendcfgPage, CPropertyPage)

CSendcfgPage::CSendcfgPage() : CPropertyPage(CSendcfgPage::IDD)
{
	//{{AFX_DATA_INIT(CSendcfgPage)
	m_serverSmtp = _T("");
	m_portSmtp = 0;
	m_forward = FALSE;
	m_address = _T("");
	m_pagerid = _T("");
	m_pager = FALSE;
	m_pageraddress = _T("");
	//}}AFX_DATA_INIT
}

CSendcfgPage::~CSendcfgPage()
{
}

void CSendcfgPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSendcfgPage)
	DDX_Text(pDX, IDC_SMTPSERVER, m_serverSmtp);
	DDX_Text(pDX, IDC_SMTPPORT, m_portSmtp);
	DDX_Check(pDX, IDC_CHECK_FORWARD, m_forward);
	DDX_Text(pDX, IDC_EDIT_ADDRESS, m_address);
	DDX_Text(pDX, IDC_EDIT_PAGERID, m_pagerid);
	DDX_Check(pDX, IDC_CHECK_PAGER, m_pager);
	DDX_Text(pDX, IDC_EDIT_PAGER, m_pageraddress);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSendcfgPage, CPropertyPage)
	//{{AFX_MSG_MAP(CSendcfgPage)
	ON_BN_CLICKED(IDC_CHECK_FORWARD, OnChangeForward)
	ON_BN_CLICKED(IDC_CHECK_PAGER, OnChangePager)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSendcfgPage message handlers

void CSendcfgPage::OnChangeForward() 
{
	UpdateData(TRUE);
	SetSettingState();
}

BOOL CSendcfgPage::OnInitDialog() 
{
	CPropertyPage::OnInitDialog();
	
	// TODO: Add extra initialization here
	SetSettingState();

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CSendcfgPage::OnChangePager() 
{
	UpdateData(TRUE);
	SetSettingState();
}

void CSendcfgPage::SetSettingState()
{
	if( !m_forward && !m_pager )
	{
		GetDlgItem(IDC_SMTPSERVER)->EnableWindow(FALSE);
		GetDlgItem(IDC_SMTPPORT)->EnableWindow(FALSE);
	}
	else
	{
		GetDlgItem(IDC_SMTPSERVER)->EnableWindow(TRUE);
		GetDlgItem(IDC_SMTPPORT)->EnableWindow(TRUE);
	}

	if(m_forward)
	{
		GetDlgItem(IDC_EDIT_ADDRESS)->EnableWindow(TRUE);
		GetDlgItem(IDC_EDIT_ADDRESS)->SetFocus();
	}
	else
		GetDlgItem(IDC_EDIT_ADDRESS)->EnableWindow(FALSE);	

	if(m_pager)
	{
		GetDlgItem(IDC_EDIT_PAGER)->EnableWindow(TRUE);
		GetDlgItem(IDC_EDIT_PAGERID)->EnableWindow(TRUE);
		GetDlgItem(IDC_EDIT_PAGER)->SetFocus();
	}
	else
	{
		GetDlgItem(IDC_EDIT_PAGER)->EnableWindow(FALSE);		
		GetDlgItem(IDC_EDIT_PAGERID)->EnableWindow(FALSE);
	}

}
