// AddoptPage.cpp : implementation file
//

#include "stdafx.h"
#include "chkmail.h"
#include "AddoptPage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAddoptPage property page

IMPLEMENT_DYNCREATE(CAddoptPage, CPropertyPage)

CAddoptPage::CAddoptPage() : CPropertyPage(CAddoptPage::IDD)
{
	//{{AFX_DATA_INIT(CAddoptPage)
	m_wave = _T("");
	m_command = _T("");
	m_logfile = _T("");
	m_writelog = FALSE;
	m_shedprog = _T("");
	//}}AFX_DATA_INIT
}

CAddoptPage::~CAddoptPage()
{
}

void CAddoptPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAddoptPage)
	DDX_Text(pDX, IDC_EDIT2, m_wave);
	DDX_Text(pDX, IDC_EDIT3, m_command);
	DDX_Text(pDX, IDC_EDIT_LOGFILE, m_logfile);
	DDX_Check(pDX, IDC_CHECK_LOG, m_writelog);
	DDX_Text(pDX, IDC_EDIT6, m_shedprog);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAddoptPage, CPropertyPage)
	//{{AFX_MSG_MAP(CAddoptPage)
	ON_BN_CLICKED(IDC_CHANGEWAVE, OnChangewave)
	ON_BN_CLICKED(IDC_CHANGECOMM, OnChangecomm)
	ON_BN_CLICKED(IDC_CHECK_LOG, OnCheckLog)
	ON_BN_CLICKED(IDC_CHANGELOG, OnChangelog)
	ON_BN_CLICKED(IDC_CHANGESHED, OnChangeshed)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAddoptPage message handlers

void CAddoptPage::OnChangewave() 
{
	CFileDialog fdlg(TRUE,"wav",NULL,OFN_PATHMUSTEXIST,"Wave Sound(*.wav)|*.wav||",this);
	if( fdlg.DoModal()==IDOK )
	{
		m_wave=fdlg.GetPathName();
		UpdateData(FALSE);
	}	
}

void CAddoptPage::OnChangecomm() 
{
	CFileDialog fdlg(TRUE,"EXE",NULL,OFN_PATHMUSTEXIST|OFN_HIDEREADONLY,
		"Application|*.exe||",this);
	if( fdlg.DoModal()==IDOK )
	{
		m_command=fdlg.GetPathName();
		UpdateData(FALSE);
	}	
}



BOOL CAddoptPage::OnInitDialog() 
{
	CPropertyPage::OnInitDialog();
	
	// TODO: Add extra initialization here


	if( !m_writelog )
		GetDlgItem(IDC_EDIT_LOGFILE)->EnableWindow(FALSE);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CAddoptPage::OnCheckLog() 
{
	UpdateData(TRUE);

	if(m_writelog)
	{
		GetDlgItem(IDC_EDIT_LOGFILE)->EnableWindow(TRUE);
		GetDlgItem(IDC_EDIT_LOGFILE)->SetFocus();
	}
	else
		GetDlgItem(IDC_EDIT_LOGFILE)->EnableWindow(FALSE);		
}

void CAddoptPage::OnChangelog() 
{
	CFileDialog fdlg(TRUE,"*.*",NULL,OFN_PATHMUSTEXIST,"All files|*.*||",this);
	if( fdlg.DoModal()==IDOK )
	{
		m_logfile=fdlg.GetPathName();
		UpdateData(FALSE);
	}		
}

void CAddoptPage::OnChangeshed() 
{
	CFileDialog fdlg(TRUE,"EXE",NULL,OFN_PATHMUSTEXIST,"Application|*.exe||",this);
	if( fdlg.DoModal()==IDOK )
	{
		m_shedprog=fdlg.GetPathName();
		UpdateData(FALSE);
	}		
}
