// ViewLogDlg.cpp : implementation file
//

#include "stdafx.h"
#include "chkmail.h"
#include "ViewLogDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CViewLogDlg dialog


CViewLogDlg::CViewLogDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CViewLogDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CViewLogDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CViewLogDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CViewLogDlg)
	DDX_Control(pDX, IDC_LIST1, m_lc);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CViewLogDlg, CDialog)
	//{{AFX_MSG_MAP(CViewLogDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CViewLogDlg message handlers

BOOL CViewLogDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	m_logfile=AfxGetApp()->GetProfileString("Setting","log-file","c:\\chkmail.log");
	if( m_logfile.IsEmpty() )
	{
		EndDialog(0);
		return FALSE;
	}
	
	CFileException e;
	if( !logfile.Open(m_logfile,CFile::modeRead|CFile::shareDenyRead,&e) )
	{
		e.ReportError();
		EndDialog(0);
		return FALSE;
	}

	m_lc.SetExtendedStyle(LVS_EX_FULLROWSELECT);
	m_lc.SetTextBkColor(RGB(160,225,190));
	m_lc.SetBkColor(RGB(160,225,190));
	m_lc.InsertColumn(0,"",LVCFMT_LEFT,800);
	
	CString logrecord;
	logfile.SeekToBegin();

	while( logfile.ReadString(logrecord) )
	{
		m_lc.InsertItem(m_lc.GetItemCount(),logrecord);
	}
	
	logfile.Close();

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
